## GogAxisLine

GogAxisLine — Slave axes

## Synopsis

    enum                GogAxisPosition;
    enum                GogAxisTickTypes;
    #define             GOG_AXIS_LINE_TYPE
    #define             GOG_AXIS_LINE                       (o)
    #define             IS_GOG_AXIS_LINE                    (o)
    GType               gog_axis_line_get_type              (void);

## Description

## Details

### enum GogAxisPosition

    typedef enum {
    	GOG_AXIS_AT_LOW,
    	GOG_AXIS_CROSS,
    	GOG_AXIS_AT_HIGH,
    	GOG_AXIS_AUTO
    } GogAxisPosition;

### enum GogAxisTickTypes

    typedef enum {
    	GOG_AXIS_TICK_NONE,
    	GOG_AXIS_TICK_MAJOR,
    	GOG_AXIS_TICK_MINOR
    } GogAxisTickTypes;

### GOG_AXIS_LINE_TYPE

    #define GOG_AXIS_LINE_TYPE	(gog_axis_line_get_type ())

### GOG_AXIS_LINE()

    #define GOG_AXIS_LINE(o)	(G_TYPE_CHECK_INSTANCE_CAST ((o), GOG_AXIS_LINE_TYPE, GogAxisLine))

`o` : |

### IS_GOG_AXIS_LINE()

    #define IS_GOG_AXIS_LINE(o)	(G_TYPE_CHECK_INSTANCE_TYPE ((o), GOG_AXIS_LINE_TYPE))

`o` : |

### gog_axis_line_get_type ()

    GType               gog_axis_line_get_type              (void);

Returns : |